<script lang="ts" setup>
import { PhBag } from '@phosphor-icons/vue';
import { useCartStore } from '~/stores';
import type { Organization } from '~/utils/types';

interface Props {
  org?: Organization;
}
const props = defineProps<Props>();

const cartStore = useCartStore();
const cart = cartStore.cart;
</script>

<template>
  <header>
    <nav aria-label="Main navigation">
      <section>
        <NuxtLink to="/">
          <img
            v-if="org && org.brand && org.brand.logo"
            :src="org.brand.logo"
            :alt="org.name + ' logo'"
            class="logo"
          />
          <!-- Use h1 for the main title of the page, ensure there's only one h1 per page -->
          <h1 v-else-if="org && org.name" class="site-title">{{ org.name }}</h1>
          <h1 v-else class="site-title">Creator</h1>
        </NuxtLink>
      </section>
      <section class="flex content-center space-between">
        <NuxtLink to="/products" class="nav-item" aria-label="Shop products">Shop</NuxtLink>
        <NuxtLink to="/about" class="nav-item" aria-label="Learn about us">About</NuxtLink>
        <NuxtLink
          to="/cart"
          class="nav-item icon-nav-item relative"
          aria-label="View shopping cart"
        >
          <PhBag :size="24" />
          <div v-if="cart.length" class="cart-count" aria-live="polite">{{ cart.length }}</div>
        </NuxtLink>
      </section>
    </nav>
  </header>
</template>
